package ru.dsi.bgbilling.modules.inet.accounting.detail.event;

import ru.bitel.bgbilling.kernel.event.EventType;
import ru.bitel.bgbilling.modules.inet.accounting.detail.event.InetDetailCreateEvent;
import ru.bitel.common.SerialUtils;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.Date;
import java.util.List;

@XmlRootElement
@EventType(timeToLive=3600000L)
public class InetClientDetailCreateEvent extends InetDetailCreateEvent
{
    private static final long serialVersionUID = SerialUtils.generateSerialVersionUID(InetClientDetailCreateEvent.class);

    /**
     * cid, необходимый для отметки о выполнении задания создания детализации
     */
    @XmlAttribute
    private int requestCid;

    protected InetClientDetailCreateEvent()
    {
        this.requestCid = -1;
    }

    public InetClientDetailCreateEvent(int cid, int moduleId, int deviceId, int inetServId, String inetServTitle, Date timeFrom, Date timeTo, List<SessionInfo> sessionList, String email) {
        super(moduleId, deviceId, inetServId, inetServTitle, timeFrom, timeTo, sessionList, email);
        this.requestCid = cid;
    }

    public int getRequestCid(){
        return this.requestCid;
    }

}